Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Aus der .iam iProperties in den Bauteilen mit Ilogic ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Aus der .iam iProperties in den Bauteilen mit Ilogic ändern (278 mal gelesen)
Hommel80
Mitglied



Sehen Sie sich das Profil von Hommel80 an!   Senden Sie eine Private Message an Hommel80  Schreiben Sie einen Gästebucheintrag für Hommel80

Beiträge: 12
Registriert: 21.03.2015

Inventor 2022 Pro

erstellt am: 27. Sep. 2023 11:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Inventor Gemeinde, ich brauche mal eure Hilfe.

Ich möchte eine Ilogic Regel in einer Baugruppe ausführen die sich dann auf die Komponenten auswirkt.
Die Regel soll in der Baugruppe manuell ausgelöst werden und dann nach einem Schlüsselwort in den Komponenten der Baugruppe suchen und nur wenn dieses vorhanden ist Einträge in den iProperties der jeweiligen Bauteile vornehmen.
Das was ich erstellt habe funktioniert super in der .ipt, es gelingt mir aber nicht das die Regel aus der Baugruppe auf die Komponenten zugreift und die Einträge wie geplant ändert.

Hat jemand einen Tipp für mich?


Dim oAsm As Inventor.AssemblyDocument = ThisApplication.ActiveDocument
For Each oPrt In oAsm.AllReferencedDocuments

If iProperties.Value("Summary", "Keywords") = "Keyword 1" Then
iProperties.Value("Custom", "User_Bezeichnung") = "Bezeichnung 1"
iProperties.Value("Custom", "User_Beschreibung") = "Beschreibung 1"
iProperties.Value("Summary", "Category") = "0100”

ElseIf iProperties.Value("Summary", "Keywords") = "Keyword 2" Then
iProperties.Value("Custom", "User_Bezeichnung") = "Bezeichnung 2"
iProperties.Value("Custom", "User_Beschreibung") = "Beschreibung 2"
iProperties.Value("Summary", "Category") = "0200”


ElseIf iProperties.Value("Summary", "Keywords") = "Keyword 3" Then
iProperties.Value("Custom", "User_Bezeichnung") = "Bezeichnung 3"
iProperties.Value("Custom", "User_Beschreibung") = "Beschreibung 3"
iProperties.Value("Summary", "Category") = "0300”

End If
   
Next

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Roland Schröder
Moderator
Dr.-Ing. Maschinenbau, Entwicklung & Konstruktion von Spezialmaschinen




Sehen Sie sich das Profil von Roland Schröder an!   Senden Sie eine Private Message an Roland Schröder  Schreiben Sie einen Gästebucheintrag für Roland Schröder

Beiträge: 13211
Registriert: 02.04.2004

IV 2019 + 2020 + 2021
W7pro64 F-Secure-Safe
Dell-M4600 2,13GHz 12GB
Quadro2000M
15,4"1920x1080
MS-IntelliMouse-Optical
SpacePilotClassic

erstellt am: 27. Sep. 2023 11:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Hommel80 10 Unities + Antwort hilfreich

Moin!

Dass das auch sehr einfach und schnell von Hand in der iam-Stückliste geht, ist Dir bekannt?

------------------
Roland  
www.Das-Entwicklungsbuero.de

It's not the hammer - it's the way you hit!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2326
Registriert: 15.11.2006

Windows 10 x64, AIP 2023

erstellt am: 27. Sep. 2023 13:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Hommel80 10 Unities + Antwort hilfreich

Moin

Deine Regel greift bei jedem Durchlauf auf die iProps der Baugruppe zu. Das wird so nie was. Ungetestet, probier es mal so:

Code:

Sub Main

Dim oAsm As Inventor.AssemblyDocument = ThisDoc.Document
For Each oPrt As Document In oAsm.AllReferencedDocuments
Select Case oPrt.PropertySets("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(5).Value.ToString
Case "Keyword 1" :
CoUProp(oPrt, "{D5CDD505-2E9C-101B-9397-08002B2CF9AE}", "User_Bezeichnung","Bezeichnung 1")
CoUProp(oPrt, "{D5CDD505-2E9C-101B-9397-08002B2CF9AE}", "User_Beschreibung", "Beschreibung 1")
CoUProp(oPrt, "{F29F85E0-4FF9-1068-AB91-08002B27B3D9}", "Category", "0100")
Case "Keyword 2" :
CoUProp(oPrt, "{D5CDD505-2E9C-101B-9397-08002B2CF9AE}", "User_Bezeichnung","Bezeichnung 2")
CoUProp(oPrt, "{D5CDD505-2E9C-101B-9397-08002B2CF9AE}", "User_Beschreibung", "Beschreibung 2")
CoUProp(oPrt, "{F29F85E0-4FF9-1068-AB91-08002B27B3D9}", "Category", "0200")
Case "Keyword 3" :
CoUProp(oPrt, "{D5CDD505-2E9C-101B-9397-08002B2CF9AE}", "User_Bezeichnung","Bezeichnung 3")
CoUProp(oPrt, "{D5CDD505-2E9C-101B-9397-08002B2CF9AE}", "User_Beschreibung", "Beschreibung 3")
CoUProp(oPrt, "{F29F85E0-4FF9-1068-AB91-08002B27B3D9}", "Category", "0300")
End Select
Next
End Sub

Private Sub CoUProp(ByVal oPrt As Document, ByVal sPropSet As String, ByVal sPropName As String, ByVal sPropValue As String)
Try
oPrt.PropertySets(spropset).Item(spropname).Value = spropvalue
Catch
oPrt.PropertySets(spropset).Add(spropvalue, spropname)
End Try
End Sub


------------------
MfG
Ralf

RKW Solutions GmbH
www.RKW-Solutions.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hommel80
Mitglied



Sehen Sie sich das Profil von Hommel80 an!   Senden Sie eine Private Message an Hommel80  Schreiben Sie einen Gästebucheintrag für Hommel80

Beiträge: 12
Registriert: 21.03.2015

Inventor 2022 Pro

erstellt am: 27. Sep. 2023 14:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Ralf, Danke für die schnelle und kompetente Antwort.

Ich habe den Code mit Inventor 2022 Pro getestet und bekomme eine Fehlermeldung. Irgendetwas scheint in der Zeile 25 nicht ganz zu passen.

oPrt.PropertySets(sPropSet).Add(sPropValue, sPropName)

Könntest Du dir das noch mal anschauen?

Gruß, Hommel

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2326
Registriert: 15.11.2006

Windows 10 x64, AIP 2023

erstellt am: 27. Sep. 2023 21:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Hommel80 10 Unities + Antwort hilfreich

Moin

Ah sorry, das iProp "Kategorie" steckt in einem anderen PropertySet. Die interne Nummer stimmte nicht. So müsste es gehen:

Code:

Sub main

Dim oAsm As Inventor.AssemblyDocument = ThisDoc.Document
For Each oPrt As Document In oAsm.AllReferencedDocuments
Select Case oPrt.PropertySets("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(5).Value.ToString
Case "Keyword 1" :
CoUProp(oPrt, "{D5CDD505-2E9C-101B-9397-08002B2CF9AE}", "User_Bezeichnung","Bezeichnung 1")
CoUProp(oPrt, "{D5CDD505-2E9C-101B-9397-08002B2CF9AE}", "User_Beschreibung", "Beschreibung 1")
CoUProp(oPrt, "{D5CDD502-2E9C-101B-9397-08002B2CF9AE}", "Category", "0100")
Case "Keyword 2" :
CoUProp(oPrt, "{D5CDD505-2E9C-101B-9397-08002B2CF9AE}", "User_Bezeichnung","Bezeichnung 2")
CoUProp(oPrt, "{D5CDD505-2E9C-101B-9397-08002B2CF9AE}", "User_Beschreibung", "Beschreibung 2")
CoUProp(oPrt, "{D5CDD502-2E9C-101B-9397-08002B2CF9AE}", "Category", "0200")
Case "Keyword 3" :
CoUProp(oPrt, "{D5CDD505-2E9C-101B-9397-08002B2CF9AE}", "User_Bezeichnung","Bezeichnung 3")
CoUProp(oPrt, "{D5CDD505-2E9C-101B-9397-08002B2CF9AE}", "User_Beschreibung", "Beschreibung 3")
CoUProp(oPrt, "{D5CDD502-2E9C-101B-9397-08002B2CF9AE}", "Category", "0300")
End Select
Next
End Sub

Private Sub CoUProp(ByVal oPrt As Document, ByVal sPropSet As String, ByVal sPropName As String, ByVal sPropValue As String)
Try
oPrt.PropertySets(sPropSet).Item(sPropName).Value = sPropValue
Catch
Logger.Debug(sPropSet)
oPrt.PropertySets(sPropSet).Add(sPropValue, sPropName)
End Try
End Sub


------------------
MfG
Ralf

RKW Solutions GmbH
www.RKW-Solutions.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hommel80
Mitglied



Sehen Sie sich das Profil von Hommel80 an!   Senden Sie eine Private Message an Hommel80  Schreiben Sie einen Gästebucheintrag für Hommel80

Beiträge: 12
Registriert: 21.03.2015

Inventor 2022 Pro

erstellt am: 29. Sep. 2023 11:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Ralf,

vielen Dank für die Hilfe. Der Code funktioniert super.
Ich habe ihn auf meine Anwendung angepasst und die Zeitersparnis ist enorm!

Gruß Hommel

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2023 CAD.de | Impressum | Datenschutz